# ClientChannel Class Reference

Channel used by client programs. More...

`#include <yatecbase.h>`

Inheritance diagram for ClientChannel:

List of all members.

## Public Member Functions

| ClientChannel (const String &party, const char *target=0, const Message *msg=0)
virtual bool | msgProgress (Message &msg)
virtual bool | msgRinging (Message &msg)
virtual bool | msgAnswered (Message &msg)
virtual bool | callRouted (Message &msg)
virtual void | callAccept (Message &msg)
virtual void | callRejected (const char *error, const char *reason, const Message *msg)
virtual bool | enableAction (const String &action) const
void | callAnswer ()
bool | openMedia (bool replace=false)
void | closeMedia ()
const String & | party () const
const String & | description () const
bool | flashing () const
void | noticed ()
int | line () const
void | line (int newLine)

## Protected Member Functions

virtual void | disconnected (bool final, const char *reason)
void | update (bool client=true)

## Protected Attributes

String | m_party
String | m_desc
String | m_reason
u_int64_t | m_time
int | m_line
bool | m_flashing
bool | m_canAnswer
bool | m_canTransfer
bool | m_canConference

## Friends

class | ClientDriver

## Detailed Description

Channel used by client programs.

This class implements a Channel used by client programs

## Member Function Documentation

virtual bool msgProgress | ( | Message & | msg | ) | `[virtual]`

Notification on remote call making some progress, not enabled by default

Parameters:

  | msg | Notification message

Returns:
  True to stop processing the message, false to let it flow

Reimplemented from Channel.

virtual bool msgRinging | ( | Message & | msg | ) | `[virtual]`

Notification on remote ringing

Parameters:

  | msg | Notification message

Returns:
  True to stop processing the message, false to let it flow

Reimplemented from Channel.

virtual bool msgAnswered | ( | Message & | msg | ) | `[virtual]`

Notification on remote answered. Note that the answered flag will be set

Parameters:

  | msg | Notification message

Returns:
  True to stop processing the message, false to let it flow

Reimplemented from Channel.

virtual bool callRouted | ( | Message & | msg | ) | `[virtual]`

Notification on progress of routing incoming call

Parameters:

  | msg | Notification call.route message just after being dispatched

Returns:
  True to continue with the call, false to abort the route

Reimplemented from Channel.

virtual void callAccept | ( | Message & | msg | ) | `[virtual]`

Notification on success of incoming call

Parameters:

  | msg | Notification call.execute message just after being dispatched

Reimplemented from Channel.

virtual void callRejected | ( | const char * | error,
|  | const char * | reason,
|  | const Message * | msg |
| ) |  |  | `[virtual]`

Notification on failure of incoming call

Parameters:

  | error | Standard error keyword
  | reason | Textual failure reason
  | msg | Pointer to message causing the rejection, if any

Reimplemented from Channel.

virtual void disconnected | ( | bool | final,
|  | const char * | reason |
| ) |  |  | `[protected, virtual]`

Disconnect notification method.

Parameters:

  | final | True if this disconnect was called from the destructor.
  | reason | Text that describes disconnect reason.

Reimplemented from Channel.

The documentation for this class was generated from the following file:

- yatecbase.h